title: 
  "Solar farm constraints"

type: 
  solar

code: 
  solar

osm: 
  https://download.geofabrik.de/europe/united-kingdom-latest.osm.pbf

areas:
  - england
  - wales
  - scotland
  - northern-ireland
  - uk

structure:
  agricultural-land-grade-1-2:
    - agricultural-land-classification-1-2--england
    - agricultural-land-classification-1-2--scotland
    - agricultural-land-classification-1-2--northern-ireland
    - agricultural-land-classification-1-2--wales
  aviation-and-exclusion-areas:
    - civilian-airports--uk
    - danger-areas--uk
    - mod-training-areas--uk
  ecology-and-wildlife:
    - ancient-woodlands--england
    - ancient-woodlands--scotland
    - ancient-woodlands--wales
    - ancient-woodlands--northern-ireland
    - hedgerows--uk
    - local-nature-reserves--england
    - local-nature-reserves--scotland
    - local-nature-reserves--wales
    - national-nature-reserves--england
    - national-nature-reserves--northern-ireland
    - national-nature-reserves--scotland
    - national-nature-reserves--wales
    - osm-nature-reserves--uk
    - ramsar-sites--england
    - ramsar-sites--northern-ireland
    - ramsar-sites--scotland
    - ramsar-sites--wales
    - sites-of-special-scientific-interest--northern-ireland
    - sites-of-special-scientific-interest--england
    - sites-of-special-scientific-interest--scotland
    - sites-of-special-scientific-interest--wales
    - special-areas-of-conservation--england
    - special-areas-of-conservation--northern-ireland
    - special-areas-of-conservation--scotland
    - special-areas-of-conservation--wales
    - special-protection-areas--england
    - special-protection-areas--northern-ireland
    - special-protection-areas--scotland
    - special-protection-areas--wales
    - wild-land-areas--scotland
  electricity-grid:
    - nearby-substations--uk
    - solar-farms--uk
    - wind-turbines--uk
    - other-energy-plants--uk
  environmental-data:
    - insufficient-solar-irradiation--uk
  heritage-impacts:
    - conservation-areas--wales
    - conservation-areas--england
    - conservation-areas--scotland
    - listed-buildings--england
    - listed-buildings--northern-ireland
    - listed-buildings--scotland
    - listed-buildings--wales
    - registered-historic-battlefields--england
    - registered-historic-battlefields--scotland
    - registered-parks-and-gardens--england
    - registered-parks-and-gardens--northern-ireland
    - registered-parks-and-gardens--scotland
    - registered-parks-and-gardens--wales
    - scheduled-ancient-monuments--england
    - scheduled-ancient-monuments--scotland
    - scheduled-ancient-monuments--wales
    - scheduled-ancient-monuments--northern-ireland
    - world-heritage-sites--england
    - world-heritage-sites--northern-ireland
    - world-heritage-sites--scotland
    - world-heritage-sites--wales
  land-properties:
    - solar-slope-too-steep--uk
    - solar-land-parcels-too-small--england-wales
    - solar-land-parcels-too-small--scotland
  landscape-and-visual-impacts:
    - green-belt--england
    - green-belt--scotland
    - areas-of-outstanding-natural-beauty--england
    - areas-of-outstanding-natural-beauty--northern-ireland
    - areas-of-outstanding-natural-beauty--wales
    - areas-of-outstanding-natural-beauty--scotland
    - heritage-coasts--england
    - heritage-coasts--scotland
    - heritage-coasts--wales
    - national-parks--england
    - national-parks--scotland
    - national-parks--wales
  other-technical-constraints:
    - bridleways--uk
    - coastline--uk
    - inland-waters--uk
    - pipelines--uk
    - power-lines--uk
    - public-footpaths--uk
    - public-roads-a-and-b-roads-and-motorways--uk
    - railway-lines--uk
  separation-distance-from-residential-properties:
    - residential-buildings-os--gb
    - residential-buildings-osm--uk

buffers:
  civilian-airports--uk: 
    50
  hedgerows--uk: 
    1
  wind-turbines--uk: 
    10
  listed-buildings--england: 
    500
  listed-buildings--northern-ireland: 
    500
  listed-buildings--scotland: 
    500
  listed-buildings--wales: 
    500
  registered-historic-battlefields--england: 
    300
  registered-historic-battlefields--scotland: 
    300
  registered-parks-and-gardens--england: 
    300
  registered-parks-and-gardens--northern-ireland: 
    300
  registered-parks-and-gardens--scotland: 
    300
  registered-parks-and-gardens--wales: 
    300
  scheduled-ancient-monuments--england: 
    300
  scheduled-ancient-monuments--scotland: 
    300
  scheduled-ancient-monuments--wales: 
    300
  scheduled-ancient-monuments--northern-ireland: 
    300
  world-heritage-sites--england: 
    300
  world-heritage-sites--northern-ireland: 
    300
  world-heritage-sites--scotland: 
    300
  world-heritage-sites--wales: 
    300
  bridleways--uk: 
    20
  coastline--uk: 
    50
  pipelines--uk: 
    20
  power-lines--uk: 
    20
  public-footpaths--uk: 
    20
  public-roads-a-and-b-roads-and-motorways--uk: 
    20
  railway-lines--uk: 
    20
  residential-buildings-os--gb: 
    20
  residential-buildings-osm--uk: 
    20

distances:
  nearby-substations--uk: 
    5000

style:
  agricultural-land-grade-1-2:
    color: 
      "#ef0b75"
  aviation-and-exclusion-areas:
    color: 
      purple
  ecology-and-wildlife:
    color: 
      darkgreen
  electricity-grid:
    color: 
      "#00d5ff"
  environmental-data:
    color: 
      "#083bd3"
  heritage-impacts:
    color: 
      "#e2c173"
  land-properties:
    color: 
      "#744d15"
  landscape-and-visual-impacts:
    color: 
      chartreuse
  other-technical-constraints:
    color: 
      red
  separation-distance-from-residential-properties:
    color: 
      darkorange









